MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0025038Open CASCADE[OCCT] OCCT:Codingpublic2014-06-29 14:212018-03-15 10:18
Reporterkgv 
Assigned Toapn 
PrioritynormalSeveritytrivial 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.6.0 
Target Version[OCCT] 6.8.0Fixed in Version[OCCT] 6.8.0 
Summary0025038: Visualization - remove unused classes from package Aspect
DescriptionFollowing classes should be removed as unused: Aspect_FontStyle, Aspect_FontMap, Aspect_WidthMap, Aspect_TypeMap, Aspect_MarkMap, Aspect_Driver.
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
related to 0023663closedaba Removing 2D viewer library 
related to 0024634closedkgv Enumeration value ‘Aspect_TOM_BALL’ not handled in switch in Aspect_MarkerStyle.cxx 
related to 0025546closedbugmaster Visualization - remove unused methods and classes from package Aspect 
related to 0029576closedbugmaster Coding Rules - remove unused declarations from package Aspect 

-  Notes
(0029918)
kgv (developer)
2014-06-29 14:48

Patch is ready for testing in branch CR25038.
Please check compilation (functionality is not affected by patch).
(0029928)
mkv (tester)
2014-07-01 10:23

Dear BugMaster,

Branch CR25038 from occt git-repository (and master from products git-repository) was compiled on Linux and Windows platforms.
SHA-1: 0fa90812f561c08e7925df7554aa39e819c45ac5

Number of compiler warnings:

occt component :
Linux: 15 (16 on master)
Windows: 0 (0 on master)

products component :
Linux: 11 (11 on master)
Windows: 2 (2 on master)
(0030296)
git (administrator)
2014-07-22 15:51

Branch CR25038_1 has been deleted by inv.

SHA-1: 0fa90812f561c08e7925df7554aa39e819c45ac5
(0030349)
git (administrator)
2014-07-22 16:20

Branch CR25038 has been deleted by inv.

SHA-1: 0fa90812f561c08e7925df7554aa39e819c45ac5

- Related Changesets
occt: master 89e5391a
Timestamp: 2014-06-29 10:46:11
Author: kgv
Committer: apn
Details ] Diff ]
0025038: Visualization - remove unused classes from package Aspect
mod - src/Aspect/Aspect.cdl Diff ] File ]
rm - src/Aspect/Aspect_ColorCubeColorMap.cdl Diff ] File ]
rm - src/Aspect/Aspect_ColorCubeColorMap.cxx Diff ] File ]
rm - src/Aspect/Aspect_ColorMap.cdl Diff ] File ]
rm - src/Aspect/Aspect_ColorMap.cxx Diff ] File ]
rm - src/Aspect/Aspect_ColorMapEntry.cdl Diff ] File ]
rm - src/Aspect/Aspect_ColorMapEntry.cxx Diff ] File ]
rm - src/Aspect/Aspect_ColorPixel.cdl Diff ] File ]
rm - src/Aspect/Aspect_ColorPixel.cxx Diff ] File ]
rm - src/Aspect/Aspect_ColorRampColorMap.cdl Diff ] File ]
rm - src/Aspect/Aspect_ColorRampColorMap.cxx Diff ] File ]
mod - src/Aspect/Aspect_ColorScale.cdl Diff ] File ]
mod - src/Aspect/Aspect_ColorScale.cxx Diff ] File ]
rm - src/Aspect/Aspect_Driver.cdl Diff ] File ]
rm - src/Aspect/Aspect_Driver.cxx Diff ] File ]
rm - src/Aspect/Aspect_FontMap.cdl Diff ] File ]
rm - src/Aspect/Aspect_FontMap.cxx Diff ] File ]
rm - src/Aspect/Aspect_FontMapEntry.cdl Diff ] File ]
rm - src/Aspect/Aspect_FontMapEntry.cxx Diff ] File ]
rm - src/Aspect/Aspect_FontStyle.cdl Diff ] File ]
rm - src/Aspect/Aspect_FontStyle.cxx Diff ] File ]
rm - src/Aspect/Aspect_FStream.hxx Diff ] File ]
rm - src/Aspect/Aspect_GenericColorMap.cdl Diff ] File ]
rm - src/Aspect/Aspect_GenericColorMap.cxx Diff ] File ]
rm - src/Aspect/Aspect_IFStream.hxx Diff ] File ]
rm - src/Aspect/Aspect_IndexPixel.cdl Diff ] File ]
rm - src/Aspect/Aspect_IndexPixel.cxx Diff ] File ]
rm - src/Aspect/Aspect_LineStyle.cdl Diff ] File ]
rm - src/Aspect/Aspect_LineStyle.cxx Diff ] File ]
rm - src/Aspect/Aspect_MarkerStyle.cdl Diff ] File ]
rm - src/Aspect/Aspect_MarkerStyle.cxx Diff ] File ]
rm - src/Aspect/Aspect_MarkMap.cdl Diff ] File ]
rm - src/Aspect/Aspect_MarkMap.cxx Diff ] File ]
rm - src/Aspect/Aspect_MarkMapEntry.cdl Diff ] File ]
rm - src/Aspect/Aspect_MarkMapEntry.cxx Diff ] File ]
rm - src/Aspect/Aspect_Pixel.cdl Diff ] File ]
rm - src/Aspect/Aspect_Pixel.cxx Diff ] File ]
rm - src/Aspect/Aspect_RGBPixel.hxx Diff ] File ]
rm - src/Aspect/Aspect_TypeMap.cdl Diff ] File ]
rm - src/Aspect/Aspect_TypeMap.cxx Diff ] File ]
rm - src/Aspect/Aspect_TypeMapEntry.cdl Diff ] File ]
rm - src/Aspect/Aspect_TypeMapEntry.cxx Diff ] File ]
rm - src/Aspect/Aspect_WidthMap.cdl Diff ] File ]
rm - src/Aspect/Aspect_WidthMap.cxx Diff ] File ]
rm - src/Aspect/Aspect_WidthMapEntry.cdl Diff ] File ]
rm - src/Aspect/Aspect_WidthMapEntry.cxx Diff ] File ]
rm - src/Aspect/Aspect_WindowDriver.cdl Diff ] File ]
rm - src/Aspect/Aspect_WindowDriver.cxx Diff ] File ]
mod - src/Aspect/FILES Diff ] File ]
mod - src/MeshVS/MeshVS_Mesh.cxx Diff ] File ]
mod - src/QADraw/QADraw.cxx Diff ] File ]
mod - src/V3d/V3d_ColorScale.cxx Diff ] File ]
mod - src/V3d/V3d_View.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-06-29 14:21 kgv New Issue
2014-06-29 14:21 kgv Assigned To => kgv
2014-06-29 14:21 kgv Relationship added related to 0023663
2014-06-29 14:48 kgv Note Added: 0029918
2014-06-29 14:48 kgv Assigned To kgv => bugmaster
2014-06-29 14:48 kgv Status new => resolved
2014-06-29 14:48 kgv Status resolved => reviewed
2014-06-30 11:21 mkv Assigned To bugmaster => mkv
2014-07-01 10:23 mkv Note Added: 0029928
2014-07-01 10:24 mkv Test case number => Not needed
2014-07-01 10:24 mkv Assigned To mkv => bugmaster
2014-07-01 10:24 mkv Status reviewed => tested
2014-07-04 13:38 apn Changeset attached => occt master 89e5391a
2014-07-04 13:38 apn Assigned To bugmaster => apn
2014-07-04 13:38 apn Status tested => verified
2014-07-04 13:38 apn Resolution open => fixed
2014-07-22 15:51 git Note Added: 0030296
2014-07-22 16:20 git Note Added: 0030349
2014-09-29 22:03 kgv Relationship added related to 0024634
2014-11-11 12:45 aiv Fixed in Version => 6.8.0
2014-11-11 12:58 aiv Status verified => closed
2014-12-03 11:42 kgv Relationship added related to 0025546
2018-03-15 10:18 kgv Relationship added related to 0029576


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker